Bullet Collision Detection & Physics Library: btMultiBodyJointMotor Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
btMultiBodyJointMotor Class Reference

`#include <btMultiBodyJointMotor.h>`

Inheritance diagram for btMultiBodyJointMotor:
[legend]
Collaboration diagram for btMultiBodyJointMotor:
[legend]

## Public Member Functions
| btMultiBodyJointMotor (btMultiBody *body, int link, btScalar desiredVelocity, btScalar maxMotorImpulse)
| This file was written by Erwin Coumans. More...
| btMultiBodyJointMotor (btMultiBody *body, int link, int linkDoF, btScalar desiredVelocity, btScalar maxMotorImpulse)
virtual | ~btMultiBodyJointMotor ()
virtual int | getIslandIdA () const
virtual int | getIslandIdB () const
virtual void | createConstraintRows (btMultiBodyConstraintArray &constraintRows, btMultiBodyJacobianData &data, const btContactSolverInfo &infoGlobal)
virtual void | setVelocityTarget (btScalar velTarget)
virtual void | debugDraw (class btIDebugDraw *drawer)
Public Member Functions inherited from btMultiBodyConstraint
| btMultiBodyConstraint (btMultiBody *bodyA, btMultiBody *bodyB, int linkA, int linkB, int numRows, bool isUnilateral)
virtual | ~btMultiBodyConstraint ()
void | finalizeMultiDof ()
int | getNumRows () const
btMultiBody * | getMultiBodyA ()
btMultiBody * | getMultiBodyB ()
btScalar | getPosition (int row) const
void | setPosition (int row, btScalar pos)
bool | isUnilateral () const
btScalar * | jacobianA (int row)
const btScalar * | jacobianA (int row) const
btScalar * | jacobianB (int row)
const btScalar * | jacobianB (int row) const
btScalar | getMaxAppliedImpulse () const
void | setMaxAppliedImpulse (btScalar maxImp)

## Protected Attributes
btScalar | m_desiredVelocity
Protected Attributes inherited from btMultiBodyConstraint
btMultiBody * | m_bodyA
btMultiBody * | m_bodyB
int | m_linkA
int | m_linkB
int | m_numRows
int | m_jacSizeA
int | m_jacSizeBoth
int | m_posOffset
bool | m_isUnilateral
btScalar | m_maxAppliedImpulse
btAlignedObjectArray< btScalar > | m_data

## Additional Inherited Members
Protected Member Functions inherited from btMultiBodyConstraint
void | applyDeltaVee (btMultiBodyJacobianData &data, btScalar *delta_vee, btScalar impulse, int velocityIndex, int ndof)
btScalar | fillMultiBodyConstraint (btMultiBodySolverConstraint &solverConstraint, btMultiBodyJacobianData &data, btScalar *jacOrgA, btScalar *jacOrgB, const btVector3 &contactNormalOnB, const btVector3 &posAworld, const btVector3 &posBworld, btScalar posError, const btContactSolverInfo &infoGlobal, btScalar lowerLimit, btScalar upperLimit, btScalar relaxation=1.f, bool isFriction=false, btScalar desiredVelocity=0, btScalar cfmSlip=0)

## Detailed Description

Definition at line 24 of file btMultiBodyJointMotor.h.

## Constructor & Destructor Documentation

btMultiBodyJointMotor::btMultiBodyJointMotor | ( | btMultiBody * | body,
|  | int | link,
|  | btScalar | desiredVelocity,
|  | btScalar | maxMotorImpulse
| ) |  |

This file was written by Erwin Coumans.

Definition at line 24 of file btMultiBodyJointMotor.cpp.

btMultiBodyJointMotor::btMultiBodyJointMotor | ( | btMultiBody * | body,
|  | int | link,
|  | int | linkDoF,
|  | btScalar | desiredVelocity,
|  | btScalar | maxMotorImpulse
| ) |  |

Definition at line 45 of file btMultiBodyJointMotor.cpp.

btMultiBodyJointMotor::~btMultiBodyJointMotor | ( |  | ) |
| virtual

Definition at line 65 of file btMultiBodyJointMotor.cpp.

## Member Function Documentation

void btMultiBodyJointMotor::createConstraintRows | ( | btMultiBodyConstraintArray & | constraintRows,
|  | btMultiBodyJacobianData & | data,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| virtual

Implements btMultiBodyConstraint.

Definition at line 98 of file btMultiBodyJointMotor.cpp.

virtual void btMultiBodyJointMotor::debugDraw | ( | class btIDebugDraw * | drawer | ) |
| inlinevirtual

Implements btMultiBodyConstraint.

Definition at line 49 of file btMultiBodyJointMotor.h.

int btMultiBodyJointMotor::getIslandIdA | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 69 of file btMultiBodyJointMotor.cpp.

int btMultiBodyJointMotor::getIslandIdB | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 82 of file btMultiBodyJointMotor.cpp.

virtual void btMultiBodyJointMotor::setVelocityTarget | ( | btScalar | velTarget | ) |
| inlinevirtual

Definition at line 44 of file btMultiBodyJointMotor.h.

## Member Data Documentation

btScalar btMultiBodyJointMotor::m_desiredVelocity
| protected

Definition at line 29 of file btMultiBodyJointMotor.h.

The documentation for this class was generated from the following files:

- btMultiBodyJointMotor.h
- btMultiBodyJointMotor.cpp